<%@ page import="java.util.*, pebble.*, pebble.blog.*"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.simongbrown.com/pebble" prefix="pebble" %>

<%
  Blog blog = (Blog)request.getAttribute(Constants.BLOG_KEY);
%>

<div class="item">
<form name="editBlogPlugins" action="editBlogPlugins.secureaction" method="POST" accept-charset="<c:out value="${blog.characterEncoding}" />">

  <div class="itemHeader">
    <span class="itemLinks">
      <a href="<%= request.getContextPath() %>/docs/plugins.html" target="_blank">Help</a>
    </span>
    Plugins
  </div>

  <div class="itemBody">
    Changing any of the plugins requires a <a href="reloadBlog.secureaction">blog reload</a> to make them effective. If adding classes to the classpath, you may need to restart the web application and/or server.
    <br />
    <br />
    <table>

      <tr>
        <td valign="top">
          Blog entry decorators (<span class="help"><a href="<%= request.getContextPath() %>/docs/blog-entry-decorators.html" target="_blank">Help</a></span>)
        </td>
        <td>
          <textarea name="blogEntryDecorators" rows="10" cols="60"><c:out value="${blog.blogEntryDecorators}"/></textarea>
        </td>
      </tr>

      <tr>
        <td valign="top">
          Permalink provider (<span class="help"><a href="<%= request.getContextPath() %>/docs/permalink-providers.html" target="_blank">Help</a></span>)
        </td>
        <td>
          <input type="text" name="permalinkProviderName" size="60" value="<c:out value="${blog.permalinkProviderName}"/>">
        </td>
      </tr>

      <tr>
        <td valign="top">
          Blog listeners (<span class="help"><a href="<%= request.getContextPath() %>/docs/blog-listeners.html" target="_blank">Help</a></span>)
        </td>
        <td>
          <textarea name="blogListeners" rows="4" cols="60"><c:out value="${blog.blogListeners}"/></textarea>
        </td>
      </tr>

      <tr>
        <td valign="top">
          Blog entry listeners (<span class="help"><a href="<%= request.getContextPath() %>/docs/blog-entry-listeners.html" target="_blank">Help</a></span>)
        </td>
        <td>
          <textarea name="blogEntryListeners" rows="10" cols="60"><c:out value="${blog.blogEntryListeners}"/></textarea>
        </td>
      </tr>

      <tr>
        <td valign="top">
          Comment listeners (<span class="help"><a href="<%= request.getContextPath() %>/docs/comment-listeners.html" target="_blank">Help</a></span>)
        </td>
        <td>
          <textarea name="commentListeners" rows="10" cols="60"><c:out value="${blog.commentListeners}"/></textarea>
        </td>
      </tr>

      <tr>
        <td valign="top">
          TrackBack listeners (<span class="help"><a href="<%= request.getContextPath() %>/docs/trackback-listeners.html" target="_blank">Help</a></span>)
        </td>
        <td>
          <textarea name="trackBackListeners" rows="10" cols="60"><c:out value="${blog.trackBackListeners}"/></textarea>
        </td>
      </tr>

      <tr>
        <td valign="top">
          Properties (<span class="help"><a href="<%= request.getContextPath() %>/docs/plugins.html" target="_blank">Help</a></span>)
        </td>
        <td>
          <textarea name="pluginProperties" rows="16" cols="60"><c:out value="${pluginProperties}"/></textarea>
        </td>
      </tr>

      <tr>
        <td valign="top">
          Logger (<span class="help"><a href="<%= request.getContextPath() %>/docs/logs.html" target="_blank">Help</a></span>)
        </td>
        <td>
          <input type="text" name="logger" size="60" value="<c:out value="${blog.loggerName}"/>">
        </td>
      </tr>

      <tr>
        <td align="right" colspan="2">
          <input name="submit" type="submit" Value="Save Plugins">
        </td>
      </tr>
    </table>
  </div>

</form>
</div>

<br />