<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>

<div class="item">

  <div class="itemHeader">
    <span class="itemLinks">
      <a href="<%= request.getContextPath() %>/docs/referers.html" target="_blank">Help</a>
    </span>
      Referer filters
  </div>

  <div class="itemBody">
    <p>
      To add a new filter, type a regular expression into the text field and click Add Filter.
    </p>

    <form name="newRefererFilterForm" action="saveRefererFilter.secureaction" method="POST">
      <b>Filter</b>
      <input type="text" name="expression" size="40" value=".*www.somedomain.com.*" />
      <input name="submit" type="submit" Value="Add Filter" />
    </form>

    <form name="refererFiltersForm" action="removeRefererFilter.secureaction" method="POST">
    <table width="99%" cellspacing="0" cellpadding="4">
      <c:forEach var="filter" items="${filters}" varStatus="status">
        <c:choose>
          <c:when test="${status.count % 2 == 0}">
            <tr class="itemBodyEven">
          </c:when>
          <c:otherwise>
              <tr class="itemBodyOdd">
          </c:otherwise>
        </c:choose>
          <td width="2%">
            <fmt:formatNumber value="${status.count}"/>
          </td>
          <td>
            <input type="checkbox" name="id" value="<c:out value="${filter.id}" />" />
          </td>
          <td>
            <c:out value="${filter.expression}" escapeXml="false"/>
          </td>
        </tr>
      </c:forEach>
      <tr>
    </table>

    <br />

    <table width="99%" cellspacing="0" cellpadding="0">
      <tr>
        <td align="left">
          <input type="button" value="Check All" onclick="checkAll(document.refererFiltersForm.id)" />
          <input type="button" value="Uncheck All" onclick="uncheckAll(document.refererFiltersForm.id)" />
        </td>
        <td align="right">
          <input type="submit" value="Remove" />
        </td>
      </tr>
    </table>
    </form>

  </div>

</div>