<%@ page import="pebble.blog.*,
                 java.util.Collection,
                 pebble.blog.BlogManager,
                 pebble.blog.CompositeBlog,
                 pebble.decorator.BlogEntryDecoratorContext,
                 pebble.AuthenticatedUser,
                 pebble.Constants,
                 pebble.decorator.BlogEntryDecoratorManager,
                 java.util.List"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.simongbrown.com/pebble" prefix="pebble" %>

<div class="item">

  <div class="itemHeader">
      <fmt:message key="common.summaryOfBlogs" />
  </div>

  <table cellspacing="0" cellpadding="8" width="99%">

  <c:forEach var="simpleBlog" items="${blogs}" varStatus="status">
    <%
      // get the number of days worth of entries defined by the overall
      // composite blog, rather than using each simple blogs own value
      Blog blog = (Blog)request.getAttribute("blog");
      SimpleBlog simpleBlog = (SimpleBlog)pageContext.getAttribute("simpleBlog");
      List recentBlogEntries = simpleBlog.getRecentBlogEntries(blog.getRecentBlogEntriesOnHomePage());

      BlogEntryDecoratorContext decoratorContext = new BlogEntryDecoratorContext();
      decoratorContext.setView(BlogEntryDecoratorContext.SUMMARY_VIEW);
      decoratorContext.setMedia(BlogEntryDecoratorContext.HTML_PAGE);

      pageContext.setAttribute("recentBlogEntries", BlogEntryDecoratorManager.applyDecorators(recentBlogEntries, decoratorContext));
    %>
    <c:choose>
      <c:when test="${status.count % 2 == 0}">
        <tr class="itemBodyEven">
      </c:when>
      <c:otherwise>
          <tr class="itemBodyOdd">
      </c:otherwise>
    </c:choose>
      <td valign="top" align="left">
        <a href="<c:out value="${simpleBlog.url}"/>" title="<c:out value="${simpleBlog.url}"/>"><c:out value="${simpleBlog.name}"/></a>
        <div>
          <c:out value="${simpleBlog.description}"/>
          <br />
          <br />
          <a href="<c:out value="${simpleBlog.url}"/>rss.xml"><fmt:message key="newsfeed.rss" /></a>&nbsp;|&nbsp;<a href="<c:out value="${simpleBlog.url}"/>rdf.xml"><fmt:message key="newsfeed.rdf" /></a>&nbsp;|&nbsp;<a href="<c:out value="${simpleBlog.url}"/>atom.xml"><fmt:message key="newsfeed.atom" /></a>
        </div>
      </td>
      <td valign="top" align="left">
        <table cellpadding="0" cellspacing="0" width="99%">
          <c:forEach var="recentBlogEntry" items="${recentBlogEntries}" >
          <tr>
            <td valign="top" width="75%">
              <a href="<c:out value="${recentBlogEntry.permalink}"/>" title="<c:out value="${recentBlogEntry.permalink}"/>"><c:out value="${recentBlogEntry.title}"/></a>
              <br />
              <c:out value="${recentBlogEntry.truncatedContent}"/>
              <span class="blogEntryMetadata">[<c:choose><c:when test="${recentBlogEntry.trackBacksEnabled || not empty recentBlogEntry.trackBacks}"><a href="<c:out value="${recentBlogEntry.trackBacksLink}"/>" title="<fmt:message key="blogentry.trackbacks" />"><fmt:formatNumber value="${recentBlogEntry.numberOfTrackBacks}"/></a></c:when><c:otherwise>-</c:otherwise></c:choose>, <c:choose><c:when test="${recentBlogEntry.commentsEnabled || not empty recentBlogEntry.comments}"><a href="<c:out value="${recentBlogEntry.commentsLink}"/>" title="<fmt:message key="blogentry.comments" />"><fmt:formatNumber value="${recentBlogEntry.numberOfComments}"/></a></c:when><c:otherwise>-</c:otherwise></c:choose>]</span>
              <br /><br />
            </td>
            <td class="blogEntryMetadata" valign="top" align="right" width="20%">
              <a href="<c:out value="${recentBlogEntry.dailyBlog.permalink}"/>"><fmt:formatDate value="${recentBlogEntry.date}" type="both" dateStyle="medium" timeStyle="long" /></a>
            </td>
            </tr>
          </c:forEach>
        </table>
      </td>
    </tr>
  </c:forEach>

  </table>

</div>
