<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.simongbrown.com/pebble" prefix="pebble" %>

<div class="item">

  <div class="itemHeader">
    <fmt:message key="search.results" /> : "<c:out value="${searchResults.query}"/>"
  </div>

  <div class="itemBody">
    <c:choose>
      <c:when test="${searchResults.numberOfHits > 0}">

        <c:set var="pageableUrl" value="search.action?query=${query}&sort=${param.sort}" scope="request" />
        <jsp:include page="/common/jsp/pageable.jsp">
          <jsp:param name="url" value="<%= request.getAttribute("pageableUrl") %>" />
        </jsp:include>
        <br />

        <table width="99%" cellspacing="0" cellpadding="4">
          <c:forEach var="hit" items="${pageable.listForPage}" varStatus="status">
            <c:choose>
              <c:when test="${status.count % 2 == 0}">
                <tr class="itemBodyEven small">
              </c:when>
              <c:otherwise>
                  <tr class="itemBodyOdd small">
              </c:otherwise>
            </c:choose>
            <td width="2%" valign="top">
              <fmt:formatNumber value="${hit.number}"/>
            </td>
            <td valign="top">
              <a href="<c:out value="${hit.permalink}"/>" title="<c:out value="${hit.score}"/>"><c:out value="${hit.title}"/></a>
              <br / >
              <c:out value="${hit.excerpt}"/>
            </td>
            <td align="right" valign="top" width="15%">
              <fmt:formatDate value="${hit.date}" type="date" dateStyle="medium" />
            </td>
          </tr>
          </c:forEach>
        </table>

        <br />
        <c:set var="pageableUrl" value="search.action?query=${query}&sort=${param.sort}" scope="request" />
        <jsp:include page="/common/jsp/pageable.jsp">
          <jsp:param name="url" value="<%= request.getAttribute("pageableUrl") %>" />
        </jsp:include>

      </c:when>
      <c:otherwise>
          <fmt:message key="search.noResults" />
      </c:otherwise>
    </c:choose>

    <p>
      <a href="http://www.google.com/search?q=<c:out value="${searchResults.query}"/>"><fmt:message key="search.googleIt" /></a>
    </p>
  </div>

</div>
