<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.simongbrown.com/pebble" prefix="pebble" %>

<div class="item">

  <div class="itemHeader">
    <span class="itemLinks">
      <a href="<%= request.getContextPath() %>/docs/index.html" target="_blank">Help</a>
    </span>
    Configuration
  </div>

  <div class="itemBody" style="overflow: auto">
      The following configuration is currently active.
      <br /><br />
      <table width="99%" cellpadding="8" cellspacing="0">

        <tr class="itemBodyOdd">
          <td valign="top"><b>Blog directory</b></td>
          <td>
            <c:out value="${blog.root}" /><br />
          </td>
        </tr>

        <tr class="itemBodyEven">
          <td valign="top"><b>Blog URL</b></td>
          <td>
            <c:out value="${blog.url}" /><br />
          </td>
        </tr>

        <tr class="itemBodyOdd">
          <td valign="top"><b>Blog entry decorators</b></td>
          <td>
            <c:forEach var="decorator" items="${blog.blogEntryDecoratorManager.blogEntryDecorators}">
              <c:out value="${decorator.class.name}" /><br />
            </c:forEach>
          </td>
        </tr>

        <tr class="itemBodyEven">
          <td valign="top"><b>Permalink provider</b></td>
          <td>
            <c:out value="${blog.permalinkProvider.class.name}" /><br />
          </td>
        </tr>

        <tr class="itemBodyOdd">
          <td valign="top"><b>Blog listeners</b></td>
          <td>
            <c:forEach var="listener" items="${blog.eventListenerList.blogListeners}">
              <c:out value="${listener.class.name}" /><br />
            </c:forEach>
          </td>
        </tr>

        <tr class="itemBodyEven">
          <td valign="top"><b>Blog entry listeners</b></td>
          <td>
            <c:forEach var="listener" items="${blog.eventListenerList.blogEntryListeners}">
              <c:out value="${listener.class.name}" /><br />
            </c:forEach>
          </td>
        </tr>

        <tr class="itemBodyOdd">
          <td valign="top"><b>Comment listeners</b></td>
          <td>
            <c:forEach var="listener" items="${blog.eventListenerList.commentListeners}">
              <c:out value="${listener.class.name}" /><br />
            </c:forEach>
          </td>
        </tr>

        <tr class="itemBodyEven">
          <td valign="top"><b>TrackBack listeners</b></td>
          <td>
            <c:forEach var="listener" items="${blog.eventListenerList.trackBackListeners}">
              <c:out value="${listener.class.name}" /><br />
            </c:forEach>
          </td>
        </tr>

        <tr class="itemBodyOdd">
          <td valign="top"><b>Properties</b></td>
          <td>
            <pre><c:out value="${blog.pluginProperties.propertiesAsString}" /></pre><br />
          </td>
        </tr>

        <tr class="itemBodyEven">
          <td valign="top"><b>Logger</b></td>
          <td>
            <c:out value="${blog.logger.class.name}" /><br />
          </td>
        </tr>

      </table>
  </div>
</div>