<%@ page import="pebble.blog.Blog,
                 pebble.Constants,
                 pebble.logging.LogSummary,
                 java.text.SimpleDateFormat,
                 java.util.Locale"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.simongbrown.com/pebble" prefix="pebble" %>

<div class="item">

  <div class="itemHeader">
    <span class="itemLinks">
      <a href="<%= request.getContextPath() %>/docs/logs.html" target="_blank">Help</a>
    </span>
    Log summary for <fmt:formatDate value="${logSummary.date}" pattern="yyyy" />
  </div>

  <div class="itemBody">
    <table width="99%" cellspacing="0" cellpadding="4">
      <thead>
      <tr>
        <td><b>Total for <fmt:formatDate value="${logSummary.date}" pattern="yyyy" /></b></td>
        <td align="right">&nbsp;</td>
        <td align="right"><b><fmt:formatNumber value="${logSummary.totalRequests}"/></b></td>
      </tr>
      </thead>

      <%
        Blog blog = (Blog)request.getAttribute(Constants.BLOG_KEY);
        SimpleDateFormat yearFormatter = new SimpleDateFormat("yyyy", Locale.ENGLISH);
        yearFormatter.setTimeZone(blog.getTimeZone());
        SimpleDateFormat monthFormatter = new SimpleDateFormat("MM", Locale.ENGLISH);
        monthFormatter.setTimeZone(blog.getTimeZone());
        String year = "";
        String month = "";
      %>
      <c:forEach var="logSummaryForMonth" items="${logSummary.logSummaries}" varStatus="status">
        <%
          LogSummary logSummaryForMonth = (LogSummary)pageContext.findAttribute("logSummaryForMonth");
          year = yearFormatter.format(logSummaryForMonth.getDate());
          month = monthFormatter.format(logSummaryForMonth.getDate());
        %>
        <c:choose>
          <c:when test="${status.count % 2 == 0}">
            <tr class="itemBodyEven small">
          </c:when>
          <c:otherwise>
              <tr class="itemBodyOdd small">
          </c:otherwise>
        </c:choose>
          <td>
            <fmt:formatDate value="${logSummaryForMonth.date}" type="date" pattern="MMMM yyyy"/>
          </td>
          <td align="right">
            <a href="viewLogSummary.secureaction?year=<%= year %>&month=<%= month %>" title="See log summary for month">Log summary</a> |
            <a href="viewReferers.secureaction?year=<%= year %>&month=<%= month %>" title="See referers for month">Referers</a> |
            <a href="viewRequests.secureaction?year=<%= year %>&month=<%= month %>" title="See requests for month">Requests</a>
          </td>
          <td align="right"><fmt:formatNumber value="${logSummaryForMonth.totalRequests}"/></td>
          </td>
        </tr>
      </c:forEach>

    </table>
  </div>

</div>