<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.simongbrown.com/pebble" prefix="pebble" %>

<div class="item">

  <div class="itemHeader">
    <span class="itemLinks">
      <pebble:isUserAuthenticated><a href="<%= request.getContextPath() %>/docs/referers.html" target="_blank">Help</a></pebble:isUserAuthenticated>
    </span>
    Referers for <c:out value="${logPeriod}"/>
  </div>

  <div class="itemBody">
      <form name="referersForm" method="post" action="saveRefererFilter.secureaction">
      <input type="hidden" name="redirectUrl" value="/viewReferers.secureaction" />
      <input type="hidden" name="year" value="<c:out value="${param.year}"/>" />
      <input type="hidden" name="month" value="<c:out value="${param.month}"/>" />
      <input type="hidden" name="day" value="<c:out value="${param.day}"/>" />
      <table width="99%" cellspacing="0" cellpadding="4">
        <thead>
        <tr>
          <td><b>#</b></td>
          <td><b>&nbsp;</b></td>
          <td><b>URL<b></td>
          <td align="right"><b><fmt:formatNumber value="${totalReferers}"/></b></td>
        </tr>
        </thead>

        <c:forEach var="referer" items="${referers}" varStatus="status">
          <c:choose>
            <c:when test="${status.count % 2 == 0}">
              <tr class="itemBodyEven small">
            </c:when>
            <c:otherwise>
                <tr class="itemBodyOdd small">
            </c:otherwise>
          </c:choose>
            <td width="2%">
              <fmt:formatNumber value="${status.count}"/>
            </td>
            <td width="2%">
              <input type="checkbox" name="expression" value="<c:out value="${referer.domainFilter}"/>" />
            </td>
            <td>
              <a href="<c:out value="${referer.url}"/>" title="<c:out value="${referer.url}"/>" rel="nofollow"><c:out value="${referer.truncatedName}"/></a>
            </td>
            <td align="right">
              <fmt:formatNumber value="${referer.count}"/>
            </td>
          </tr>
        </c:forEach>
      </table>

      <pebble:isUserAuthenticated>
      <br />

      <table width="99%" cellspacing="0" cellpadding="0">
        <tr>
          <td align="left">
            <input type="button" value="Check All" onclick="checkAll(document.referersForm.expression)" />
            <input type="button" value="Uncheck All" onclick="uncheckAll(document.referersForm.expression)" />
          </td>
          <td align="right">
            <input type="submit" value="Spam" />
          </td>
        </tr>
      </table>
      </pebble:isUserAuthenticated>

      </form>
  </div>

</div>