<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.simongbrown.com/pebble" prefix="pebble" %>

<div class="item">

  <div class="itemHeader">
    <span class="itemLinks">
      <a href="<%= request.getContextPath() %>/docs/logs.html" target="_blank">Help</a>
    </span>
    Requests for <c:out value="${logPeriod}"/>
  </div>

  <div class="itemBody">
    <table width="99%" cellspacing="0" cellpadding="4">
      <thead>
      <tr>
        <td><b>#</b></td>
        <td><b>URL<b></td>
        <td align="right"><b><fmt:formatNumber value="${totalRequests}"/></b></td>
      </tr>
      </thead>

      <c:forEach var="aRequest" items="${requests}" varStatus="status">
        <c:choose>
          <c:when test="${status.count % 2 == 0}">
            <tr class="itemBodyEven small">
          </c:when>
          <c:otherwise>
              <tr class="itemBodyOdd small">
          </c:otherwise>
        </c:choose>
          <td width="2%">
            <fmt:formatNumber value="${status.count}"/>
          </td>
          <td>
            <a href="<c:out value="${aRequest.url}"/>" title="<c:out value="${aRequest.url}"/>"><c:out value="${aRequest.truncatedName}"/></a>
          </td>
          <td align="right">
            <fmt:formatNumber value="${aRequest.count}"/>
          </td>
        </tr>
      </c:forEach>
    </table>
  </div>

</div>